#
# spec file for package get_iplayer
#
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#

%if ! %{defined _fillupdir}
  %define _fillupdir /var/adm/fillup-templates
%endif

Name:           get_iplayer
Version:        3.20
Release:        lp150.2.1
License:        GPL-3.0
Summary:        Downloads H.264 BBC IPlayer TV, Radio, and Podcast Programs
Url:            http://www.infradead.org/get_iplayer/html/get_iplayer.html
Group:          Productivity/Networking/File-Sharing
Source0:        get_iplayer-%{version}.tar.gz
Source1:        get_iplayer.options
Source2:        sysconfig.get_iplayer
Source3:	get_iplayer_pvr
BuildRequires: update-desktop-files
Requires: AtomicParsley
Requires: ffmpeg
Requires: perl(CGI)
Requires: perl(CGI::Cookie)
Requires: perl(Cwd)
Requires: perl(Encode)
Requires: perl(Env)
Requires: perl(Fcntl)
Requires: perl(File::Basename)
Requires: perl(File::Copy)
Requires: perl(File::Path)
Requires: perl(File::Spec)
Requires: perl(File::stat)
Requires: perl(Getopt::Long)
Requires: perl(HTML::Entities)
Requires: perl(HTML::Parser)
Requires: perl(HTTP::Cookies)
Requires: perl(HTTP::Headers)
Requires: perl(IO::File)
Requires: perl(IO::Handle)
Requires: perl(IO::Seekable)
Requires: perl(IO::Select)
Requires: perl(IO::Socket)
Requires: perl(IPC::Open3)
Requires: perl(JSON::PP)
Requires: perl(LWP::ConnCache)
Requires: perl(LWP::Protocol::https)
Requires: perl(LWP::UserAgent)
Requires: perl(List::Util)
Requires: perl(Mojo::UserAgent)
Requires: perl(PerlIO::encoding)
Requires: perl(Socket)
Requires: perl(Storable)
Requires: perl(Symbol)
Requires: perl(Text::ParseWords)
Requires: perl(Text::Wrap)
Requires: perl(Time::Local)
Requires: perl(Time::Piece)
Requires: perl(URI)
Requires: perl(Unicode::Normalize)
Requires: perl(XML::LibXML)
Requires: perl(XML::LibXML::XPathContext)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Requires(post): %fillup_prereq

%description
get_iplayer allows a user to download or stream any iPlayer program from the
BBC in H.264 (Quicktime/mp4) format, any radio programs in MP3 or RealAudio
format (optionally converted to WAV or MP3), and all podcasts in MP3/AAC
format. It even downloads the subtitles where available.

%package pvr
Summary:        Web based PVR Manager for %{name}
Group:          Productivity/Networking/File-Sharing
Requires:       %{name} = %{version}

%description pvr
The Worlds most insecure web-based PVR Manager and streaming proxy for get_iplayer
** WARNING ** Never run this in an untrusted environment or facing the internet

%prep
%autosetup -p1

%build
#No build required

%install
install -Dm 0755 get_iplayer %{buildroot}%{_bindir}/get_iplayer
mkdir -p %{buildroot}%{_mandir}/man1
install -Dm 0644 get_iplayer.1 %{buildroot}%{_mandir}/man1/
mkdir -p %{buildroot}%{_sysconfdir}/%{name}
install -Dm 0644 %{S:1} %{buildroot}%{_sysconfdir}/%{name}/options
# Install pvr files
install -Dm 0755 get_iplayer.cgi  %{buildroot}%{_datadir}/%{name}/get_iplayer.cgi
mkdir -p %{buildroot}%{_fillupdir}
install -Dm 0644 %{S:2} %{buildroot}%{_fillupdir}/sysconfig.get_iplayer
install -Dm 0755 %{S:3} %{buildroot}%{_bindir}/get_iplayer_pvr
# Add desktop file
cat > get_iplayer_pvr.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=get_iplayer_pvr
GenericName=get_iplayer_pvr
Comment=get_iplayer Web PVR Manager
Exec=get_iplayer_pvr
Terminal=false
Type=Application
StartupNotify=false
Categories=Internet;FileTransfer;
EOF
%suse_update_desktop_file -i get_iplayer_pvr

%post pvr
%fillup_only

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.md
%{_bindir}/get_iplayer
%{_mandir}/man1/get_iplayer.1*
%dir %{_sysconfdir}/%{name}
%config (noreplace) %{_sysconfdir}/%{name}/options

%files pvr
%defattr(-,root,root,-)
%{_bindir}/get_iplayer_pvr
%{_datadir}/%{name}
%{_fillupdir}/sysconfig.%{name}
%{_datadir}/applications/get_iplayer_pvr.desktop

%changelog
* Wed Apr  3 2019 olaf@aepfle.de
- Updated to version 3.20
* Thu Nov 23 2017 rbrown@suse.com
- Replace references to /var/adm/fillup-templates with new
  %%_fillupdir macro (boo#1069468)
* Sun Jun  3 2012 malcolmlewis@opensuse.org
- Updated to version 2.82:
  - Update to 2.81 was superceeded.
- Updates from version 2.8.1:
  + Match web pvr version with main script on release.
  + Removed obsolete update warnings.
  + Web PVR: fix update URL.
  + Added --tag-cnid option.
  + Update --versions description in man page.
  + Web PVR: accommodate IE9 standards mode.
  + Adjusted bit rate threshold for HD streams.
  + Don't force --future with --pvr-queue.
  + Podcast plugin: increased index number range.
  + Allow PID in lieu of search terms for --pvr-add.
  + Ensure that loop always receives an array even if only one
    series.
  + Update --versions help text and error message for signed-only
    programmes.
  + Update handling of live channel URLs.
  + Remove BBC 7 from schedule listings only.
  + Restore BBC 7 to channel lists.
  + Update Channel Lists.
  + Note in man page/help screen that --search=.* may still be
    used.
  + Web PVR: Allow Search = .* with additional advanced search
    criteria.
  + Note 'best' alias for recording mode in man page/help screen.
  + Web PVR: Prevent adding search = .* to pvr list.
  + Prevent missing search term(s) from recording all available
    programmes.
  + Fix spelling errors.
  + Web PVR: Remove "iphone" from default mode lists.
  + Remove "iphone" from "best" mode alias and man page/help
    screen.
  + Fix incorrect population of programme data from in-memory
    cache.
  + Update man page with new options.
  + added --tagonly option to re-apply the tags to matching
    downloaded programmes. Also can be used with --history to
    re-tag matching programmes that are no longer available.
  + Added --no-tag option.
  + Windows installer: update config for AtomicParsley.
  + Improve CSS to work with Internet Explorer. Fix programme type
    list to show Live BBC Radio and remove ITV.
  + Fixed programme schedule parsing with --refresh-future.
  + Escape double quotes in parameters for Windows tagging
    applications.
  + Fixes for UTF-8 metadata.
  + Added support for parsing Brand->Clip in rdf data. Needed for
    some BBC pids.
* Thu Mar  1 2012 malcolmlewis@opensuse.org
- Update to latest git release:
  + Update --versions help text and error message for signed-only
    programmes.
  + Update handling of live channel URLs.
  + Remove BBC 7 from schedule listings only.
  + Restore BBC 7 to channel lists.
  + Update Channel Lists.
  + Note in man page/help screen that --search=.* may still be
    used.
  + Web PVR: Allow Search = .* with additional advanced search
    criteria.
  + Note 'best' alias for recording mode in man page/help screen.
  + Web PVR: Prevent adding search = .* to pvr list.
  + Prevent missing search term(s) from recording all available
    programmes.
  + Fix spelling errors.
  + Web PVR: Remove "iphone" from default mode lists.
  + Remove "iphone" from "best" mode alias and man page/help
    screen.
  + Fix incorrect population of programme data from in-memory
    cache.
  + Update man page with new options.
  + added --tagonly option to re-apply the tags to matching
    downloaded programmes. Also can be used with --history to
    re-tag matching programmes that are no longer available.
  + Fixed programme schedule parsing with --refresh-future.
  + Fixes for UTF-8 metadata
  + Added support for parsing Brand->Clip in rdf data. Needed for
    some BBC pids.
  + Various updates and fixes for Windows.
* Tue Aug 30 2011 malcolmlewis@opensuse.org
- Updated to version 2.80:
  + Don't attempt to update plugins if packagemanager is set.
  + Makefile now updates version number in web page.
  + Fixed creation of symlink to latest version.
  + Improve documentation of PVR options.
  + Removed ID3 tagging for AAC audio files.
  + Automatically update date in manpage when it changes.
  + Update authors section in manual pages.
  + Record contributors when releasing a new version.
* Sun Aug  7 2011 malcolmlewis@opensuse.org
- Updated to git version 3b26288 to fix various issues:
  + fixed regression as this broke the path used by get_iplayer
    for update.
  + Add Radio 4 Extra.
  + Output AAC as M4A for iTunes with metadata tags.
  + Add --aactomp3 option to force transcoding AAC to MP3.
  + Use File::Spec->rel2abs to sanitise output directory.
  + Ensure safe 32-bit date if timegm() fails.
  + Ensure output file extension changes with download mode.
  + Typo fixes.
  + Fix broken flashhd downloads.
  + Use File::Spec functions for programme/thumbnail file paths.
  + New tagging implementation.
  + Option to mux video as MKV instead of MP4.
  + Revamped --showoptions and search options initialisation.
  + Ensure that for loops always receive array even if only one
    episode.
  + Handle embedded param name in Akamai auth token.
  + Add MP3 VBR option for AAC transcoding.
- Update spec file Licence field from GPLv3 to GPL-3.0 to conform
  with spdx.org identifier.
* Tue Jan 18 2011 malcolmlewis@opensuse.org
- Aditional fix to fillup
* Tue Jan 18 2011 malcolmlewis@opensuse.org
- Fix fillup of sysconfig file
* Sun Jan 16 2011 malcolmlewis@opensuse.org
- Add in pvr
* Sat Jan 15 2011 malcolmlewis@opensuse.org
- Initial build
